<html>
<head>
<title>OgreGLES2Prerequisites.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_740c5ae02f3e58539fc77518d7d26661.html">GLES2</a>      </li>
      <li class="navelem"><a class="el" href="dir_03408e7e26591a021d5048c9e4238005.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreGLES2Prerequisites.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreLogManager_8h_source.html">OgreLogManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>&quot;</code><br/>
<code>#include &lt;OpenGLES/ES2/gl.h&gt;</code><br/>
<code>#include &lt;OpenGLES/ES2/glext.h&gt;</code><br/>
</div>
<p><a href="OgreGLES2Prerequisites_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLES2Prerequisites_8h.html#a9c15fe1e91b07ea3280f5239f9841b67">__PRETTY_FUNCTION__</a>&#160;&#160;&#160;__FUNCTION__</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLES2Prerequisites_8h.html#a089a3736e5280b9c7cc50129e2659974">GL_NONE</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLES2Prerequisites_8h.html#a3f2e060c56216a4f3fb7650e502f5735">_OgreGLES2Export</a>&#160;&#160;&#160;__declspec(dllimport)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLES2Prerequisites_8h.html#a45bbdef2e602a1d12b999a837df8fb89">DEBUG_</a>(text)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLES2Prerequisites_8h.html#a73ff6a326ebf3637a67218046668ce64">ENABLE_GL_CHECK</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLES2Prerequisites_8h.html#a56aaa83bc346bbef34e231c43cb3b443">GL_CHECK_ERROR</a>&#160;&#160;&#160;{}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreGLES2Prerequisites_8h.html#a970bd7d687d827541d8b0d765d808048">EGL_CHECK_ERROR</a>&#160;&#160;&#160;{}</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a9c15fe1e91b07ea3280f5239f9841b67"></a><!-- doxytag: member="OgreGLES2Prerequisites.h::__PRETTY_FUNCTION__" ref="a9c15fe1e91b07ea3280f5239f9841b67" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLES2Prerequisites_8h.html#a9c15fe1e91b07ea3280f5239f9841b67">__PRETTY_FUNCTION__</a>&#160;&#160;&#160;__FUNCTION__</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Prerequisites_8h_source.html#l00038">38</a> of file <a class="el" href="OgreGLES2Prerequisites_8h_source.html">OgreGLES2Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3f2e060c56216a4f3fb7650e502f5735"></a><!-- doxytag: member="OgreGLES2Prerequisites.h::_OgreGLES2Export" ref="a3f2e060c56216a4f3fb7650e502f5735" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLES2Prerequisites_8h.html#a3f2e060c56216a4f3fb7650e502f5735">_OgreGLES2Export</a>&#160;&#160;&#160;__declspec(dllimport)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Prerequisites_8h_source.html#l00128">128</a> of file <a class="el" href="OgreGLES2Prerequisites_8h_source.html">OgreGLES2Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a45bbdef2e602a1d12b999a837df8fb89"></a><!-- doxytag: member="OgreGLES2Prerequisites.h::DEBUG_" ref="a45bbdef2e602a1d12b999a837df8fb89" args="(text)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLES2Prerequisites_8h.html#a45bbdef2e602a1d12b999a837df8fb89">DEBUG_</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">text</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<b>Value:</b><div class="fragment"><pre class="fragment">{\
        fprintf(stderr, <span class="stringliteral">&quot;%s:%d: %s\n&quot;</span>, __FUNCTION__, __LINE__, text); \
    }
</pre></div>
<p>Definition at line <a class="el" href="OgreGLES2Prerequisites_8h_source.html#l00137">137</a> of file <a class="el" href="OgreGLES2Prerequisites_8h_source.html">OgreGLES2Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a970bd7d687d827541d8b0d765d808048"></a><!-- doxytag: member="OgreGLES2Prerequisites.h::EGL_CHECK_ERROR" ref="a970bd7d687d827541d8b0d765d808048" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLES2Prerequisites_8h.html#a970bd7d687d827541d8b0d765d808048">EGL_CHECK_ERROR</a>&#160;&#160;&#160;{}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Prerequisites_8h_source.html#l00180">180</a> of file <a class="el" href="OgreGLES2Prerequisites_8h_source.html">OgreGLES2Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73ff6a326ebf3637a67218046668ce64"></a><!-- doxytag: member="OgreGLES2Prerequisites.h::ENABLE_GL_CHECK" ref="a73ff6a326ebf3637a67218046668ce64" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLES2Prerequisites_8h.html#a73ff6a326ebf3637a67218046668ce64">ENABLE_GL_CHECK</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Prerequisites_8h_source.html#l00142">142</a> of file <a class="el" href="OgreGLES2Prerequisites_8h_source.html">OgreGLES2Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a56aaa83bc346bbef34e231c43cb3b443"></a><!-- doxytag: member="OgreGLES2Prerequisites.h::GL_CHECK_ERROR" ref="a56aaa83bc346bbef34e231c43cb3b443" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLES2Prerequisites_8h.html#a56aaa83bc346bbef34e231c43cb3b443">GL_CHECK_ERROR</a>&#160;&#160;&#160;{}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Prerequisites_8h_source.html#l00164">164</a> of file <a class="el" href="OgreGLES2Prerequisites_8h_source.html">OgreGLES2Prerequisites.h</a>.</p>

</div>
</div>
<a class="anchor" id="a089a3736e5280b9c7cc50129e2659974"></a><!-- doxytag: member="OgreGLES2Prerequisites.h::GL_NONE" ref="a089a3736e5280b9c7cc50129e2659974" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreGLES2Prerequisites_8h.html#a089a3736e5280b9c7cc50129e2659974">GL_NONE</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Prerequisites_8h_source.html#l00110">110</a> of file <a class="el" href="OgreGLES2Prerequisites_8h_source.html">OgreGLES2Prerequisites.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
